Bug 1850023 - CVE-2020-11023 drupal7: jQuery: passing HTML containing <option> elements to manipulation methods could result in untrusted code execution [epel-all]
Summary: CVE-2020-11023 drupal7: jQuery: passing HTML containing <option> elements to ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: drupal7
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-11023
TreeView+ depends on / blocked
 
Reported: 2020-06-23 12:04 UTC by Michael Kaplan
Modified: 2020-09-25 16:48 UTC (History)
4 users (show)

Fixed In Version: drupal7-7.72-1.fc31 drupal7-7.72-1.fc32 drupal7-7.72-1.el7 drupal7-7.72-1.el6 drupal7-7.72-1.fc33
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-13 14:18:27 UTC
Type: ---


Attachments (Terms of Use)

Description Michael Kaplan 2020-06-23 12:04:51 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Michael Kaplan 2020-06-23 12:04:53 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1850004,1850023

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-09-05 04:14:12 UTC
FEDORA-2020-0b32a59b54 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0b32a59b54

Comment 3 Fedora Update System 2020-09-05 04:14:21 UTC
FEDORA-EPEL-2020-972f57ea6d has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-972f57ea6d

Comment 4 Fedora Update System 2020-09-05 04:14:24 UTC
FEDORA-2020-fe94df8c34 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fe94df8c34

Comment 5 Fedora Update System 2020-09-05 04:14:29 UTC
FEDORA-EPEL-2020-0a324e529d has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0a324e529d

Comment 6 Fedora Update System 2020-09-05 04:14:37 UTC
FEDORA-2020-fbb94073a1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fbb94073a1

Comment 7 Fedora Update System 2020-09-05 17:34:31 UTC
FEDORA-EPEL-2020-0a324e529d has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0a324e529d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-09-05 17:43:21 UTC
FEDORA-EPEL-2020-972f57ea6d has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-972f57ea6d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-05 17:56:41 UTC
FEDORA-2020-fbb94073a1 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-fbb94073a1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fbb94073a1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-09-05 18:02:33 UTC
FEDORA-2020-0b32a59b54 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-0b32a59b54`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0b32a59b54

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-09-05 21:39:47 UTC
FEDORA-2020-fe94df8c34 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-fe94df8c34`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fe94df8c34

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-09-13 14:18:27 UTC
FEDORA-2020-fbb94073a1 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-09-13 14:28:02 UTC
FEDORA-2020-0b32a59b54 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-09-19 21:58:49 UTC
FEDORA-EPEL-2020-0a324e529d has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2020-09-19 22:32:23 UTC
FEDORA-EPEL-2020-972f57ea6d has been pushed to the Fedora EPEL 6 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2020-09-25 16:48:05 UTC
FEDORA-2020-fe94df8c34 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.